"use strict";
// FYI
// packages/@guardian/src-foundations/src/size.ts SYMLINKS TO
// packages/@guardian/source-foundations/src/size/size.ts
Object.defineProperty(exports, "__esModule", { value: true });
exports.remWidth = exports.width = exports.remHeight = exports.height = exports.iconSize = exports.size = void 0;
const px_to_rem_1 = require("./utils/px-to-rem");
/*
   The size scale is based entirely on the medium, small and
   xsmall buttons. The medium size meets WCAG 2.1 AAA compliance
   for touch targets.
*/
exports.size = {
    xsmall: 24,
    small: 36,
    medium: 44,
};
const remSize = {
    xsmall: (0, px_to_rem_1.pxToRem)(exports.size.xsmall),
    small: (0, px_to_rem_1.pxToRem)(exports.size.small),
    medium: (0, px_to_rem_1.pxToRem)(exports.size.medium),
};
/*
   We attempt to use these values for icons within Source components.
   They are analogous with component heights defined by the size values
   above. They are based on the size of icons used within the button
   component.
*/
exports.iconSize = {
    xsmall: 20,
    small: 26,
    medium: 30,
};
const remIconSize = {
    xsmall: (0, px_to_rem_1.pxToRem)(exports.iconSize.xsmall),
    small: (0, px_to_rem_1.pxToRem)(exports.iconSize.small),
    medium: (0, px_to_rem_1.pxToRem)(exports.iconSize.medium),
};
exports.height = {
    ctaMedium: exports.size.medium,
    ctaSmall: exports.size.small,
    ctaXsmall: exports.size.xsmall,
    inputMedium: exports.size.medium,
    inputXsmall: exports.size.xsmall,
    iconMedium: exports.iconSize.medium,
    iconSmall: exports.iconSize.small,
    iconXsmall: exports.iconSize.xsmall,
};
exports.remHeight = {
    ctaMedium: remSize.medium,
    ctaSmall: remSize.small,
    ctaXsmall: remSize.xsmall,
    inputMedium: remSize.medium,
    inputXsmall: remSize.xsmall,
    iconMedium: remIconSize.medium,
    iconSmall: remIconSize.small,
    iconXsmall: remIconSize.xsmall,
};
exports.width = {
    ctaMedium: exports.size.medium,
    ctaSmall: exports.size.small,
    ctaXsmall: exports.size.xsmall,
    inputXsmall: exports.size.xsmall,
    iconMedium: exports.iconSize.medium,
    iconSmall: exports.iconSize.small,
    iconXsmall: exports.iconSize.xsmall,
};
exports.remWidth = {
    ctaMedium: remSize.medium,
    ctaSmall: remSize.small,
    ctaXsmall: remSize.xsmall,
    inputXsmall: remSize.xsmall,
    iconMedium: remIconSize.medium,
    iconSmall: remIconSize.small,
    iconXsmall: remIconSize.xsmall,
};
//# sourceMappingURL=size.js.map