"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.textSans = exports.body = exports.headline = exports.titlepiece = void 0;
const fs_1 = require("./fs");
const titlepieceDefaults = {
    lineHeight: 'tight',
    fontWeight: 'bold',
    fontStyle: null,
    unit: 'rem',
};
const titlepieceFs = (0, fs_1.fs)('titlepiece');
exports.titlepiece = {
    small: (options) => titlepieceFs('small', Object.assign({}, titlepieceDefaults, options)),
    medium: (options) => titlepieceFs('medium', Object.assign({}, titlepieceDefaults, options)),
    large: (options) => titlepieceFs('large', Object.assign({}, titlepieceDefaults, options)),
};
const headlineDefaults = {
    lineHeight: 'tight',
    fontWeight: 'medium',
    fontStyle: null,
    unit: 'rem',
};
const headlineFs = (0, fs_1.fs)('headline');
exports.headline = {
    xxxsmall: (options) => headlineFs('xxxsmall', Object.assign({}, headlineDefaults, options)),
    xxsmall: (options) => headlineFs('xxsmall', Object.assign({}, headlineDefaults, options)),
    xsmall: (options) => headlineFs('xsmall', Object.assign({}, headlineDefaults, options)),
    small: (options) => headlineFs('small', Object.assign({}, headlineDefaults, options)),
    medium: (options) => headlineFs('medium', Object.assign({}, headlineDefaults, options)),
    large: (options) => headlineFs('large', Object.assign({}, headlineDefaults, options)),
    xlarge: (options) => headlineFs('xlarge', Object.assign({}, headlineDefaults, options)),
};
const bodyDefaults = {
    lineHeight: 'loose',
    fontWeight: 'regular',
    fontStyle: null,
    unit: 'rem',
};
const bodyFs = (0, fs_1.fs)('body');
exports.body = {
    small: (options) => bodyFs('small', Object.assign({}, bodyDefaults, options)),
    medium: (options) => bodyFs('medium', Object.assign({}, bodyDefaults, options)),
};
const textSansDefaults = {
    lineHeight: 'loose',
    fontWeight: 'regular',
    fontStyle: null,
    unit: 'rem',
};
const textSansFs = (0, fs_1.fs)('textSans');
exports.textSans = {
    xxsmall: (options) => textSansFs('xxsmall', Object.assign({}, textSansDefaults, options)),
    xsmall: (options) => textSansFs('xsmall', Object.assign({}, textSansDefaults, options)),
    small: (options) => textSansFs('small', Object.assign({}, textSansDefaults, options)),
    medium: (options) => textSansFs('medium', Object.assign({}, textSansDefaults, options)),
    large: (options) => textSansFs('large', Object.assign({}, textSansDefaults, options)),
    xlarge: (options) => textSansFs('xlarge', Object.assign({}, textSansDefaults, options)),
    xxlarge: (options) => textSansFs('xxlarge', Object.assign({}, textSansDefaults, options)),
    xxxlarge: (options) => textSansFs('xxxlarge', Object.assign({}, textSansDefaults, options)),
};
//# sourceMappingURL=api.js.map