"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
it('should return styles containing the specified font family', () => {
    const mediumHeadlineStyles = _1.headline.medium();
    expect(mediumHeadlineStyles).toContain(`font-family: ${_1.fonts.headline};`);
});
it('should return styles containing the specified font size', () => {
    const mediumHeadlineStyles = _1.headline.medium();
    expect(mediumHeadlineStyles).toContain(`font-size: ${_1.remHeadlineSizes.medium}rem;`);
});
it('should return styles containing the specified font size in px if requested', () => {
    const mediumHeadlineStyles = _1.headline.medium({ unit: 'px' });
    expect(mediumHeadlineStyles).toContain(`font-size: ${_1.headlineSizes.medium}px;`);
});
it('should return styles containing the specified font weight', () => {
    const mediumHeadlineStyles = _1.headline.medium({ fontWeight: 'bold' });
    expect(mediumHeadlineStyles).toContain(`font-weight: ${_1.fontWeights.bold};`);
});
it('should return styles containing the specified line height', () => {
    const mediumHeadlineStyles = _1.headline.medium({ lineHeight: 'tight' });
    expect(mediumHeadlineStyles).toContain(`line-height: ${_1.lineHeights.tight};`);
});
it('should return styles containing the specified line height in px if requested', () => {
    const mediumHeadlineStyles = _1.headline.medium({
        lineHeight: 'tight',
        unit: 'px',
    });
    expect(mediumHeadlineStyles).toContain(`line-height: ${_1.lineHeights.tight * _1.headlineSizes.medium}px;`);
});
it('should return italic styles if specified', () => {
    const mediumHeadlineStyles = _1.headline.medium({ fontStyle: 'italic' });
    expect(mediumHeadlineStyles).toContain('font-style: italic;');
});
it('should return normal styles if specified', () => {
    const mediumHeadlineStyles = _1.headline.medium({ fontStyle: 'normal' });
    expect(mediumHeadlineStyles).toContain('font-style: normal;');
});
it('should not return font styles if unspecified', () => {
    const mediumHeadlineStyles = _1.headline.medium();
    expect(mediumHeadlineStyles).not.toContain('font-style');
});
it('should not include italic font style if it is not available for requested font', () => {
    const mediumHeadlineStyles = _1.headline.medium({
        fontWeight: 'bold',
        fontStyle: 'italic',
    });
    const largeHeadlineStyles = _1.headline.large({
        fontWeight: 'bold',
        fontStyle: 'italic',
    });
    expect(mediumHeadlineStyles).not.toContain('font-style: italic;');
    expect(largeHeadlineStyles).not.toContain('font-style: italic;');
});
//# sourceMappingURL=typography.test.js.map