import type { Breakpoint } from './breakpoints';
export declare type BreakpointMap = {
    [key in Breakpoint]: string;
};
export declare const from: BreakpointMap;
export declare const until: BreakpointMap;
export declare const between: {
    mobile: {
        and: {
            mobileMedium: string;
            mobileLandscape: string;
            phablet: string;
            tablet: string;
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    mobileMedium: {
        and: {
            mobileLandscape: string;
            phablet: string;
            tablet: string;
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    mobileLandscape: {
        and: {
            phablet: string;
            tablet: string;
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    phablet: {
        and: {
            tablet: string;
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    tablet: {
        and: {
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    desktop: {
        and: {
            leftCol: string;
            wide: string;
        };
    };
    leftCol: {
        and: {
            wide: string;
        };
    };
};
