import type { BodySizes, Category, FontWeight, FontWeightDefinition, HeadlineSizes, LineHeight, TextSansSizes, TitlepieceSizes, TypographySizes } from './types';
declare const titlepieceSizes: TitlepieceSizes;
declare const headlineSizes: HeadlineSizes;
declare const bodySizes: BodySizes;
declare const textSansSizes: TextSansSizes;
declare const fontSizeMapping: {
    [cat in Category]: TypographySizes;
};
declare const remFontSizes: number[];
declare const remTitlepieceSizes: TitlepieceSizes;
declare const remHeadlineSizes: HeadlineSizes;
declare const remBodySizes: BodySizes;
declare const remTextSansSizes: TextSansSizes;
declare const remFontSizeMapping: {
    [cat in Category]: TypographySizes;
};
declare const fontMapping: {
    [cat in Category]: string;
};
declare const lineHeightMapping: {
    [lineHight in LineHeight]: number;
};
declare const fontWeightMapping: {
    [fontWeight in FontWeight]: number;
};
declare const availableFonts: {
    [cat in Category]: {
        [fontWeight in FontWeight]?: FontWeightDefinition;
    };
};
export { titlepieceSizes, headlineSizes, bodySizes, textSansSizes, remFontSizes, remTitlepieceSizes, remHeadlineSizes, remBodySizes, remTextSansSizes, remFontSizeMapping, fontMapping, fontSizeMapping, lineHeightMapping, fontWeightMapping, availableFonts, };
