import { bodySizes, fontMapping, fontWeightMapping, headlineSizes, lineHeightMapping, remBodySizes, remHeadlineSizes, remTextSansSizes, remTitlepieceSizes, textSansSizes, titlepieceSizes } from './data';
import type { BodySizes, FontScaleFunctionStr, HeadlineSizes, TextSansSizes, TitlepieceSizes } from './types';
declare type TypographyApi<Sizes> = {
    [key in keyof Sizes]: FontScaleFunctionStr;
};
declare const titlepiece: TypographyApi<TitlepieceSizes>;
declare const headline: TypographyApi<HeadlineSizes>;
declare const body: TypographyApi<BodySizes>;
declare const textSans: TypographyApi<TextSansSizes>;
export { titlepiece, headline, body, textSans, titlepieceSizes, headlineSizes, bodySizes, textSansSizes, remTitlepieceSizes, remHeadlineSizes, remBodySizes, remTextSansSizes, fontMapping as fonts, fontWeightMapping as fontWeights, lineHeightMapping as lineHeights, };
